package com.pcloud.book.book.dao;

import com.pcloud.book.book.entity.SearchRecordDis;
import com.pcloud.common.core.dao.BaseDao;

public interface SearchRecordDisDao extends BaseDao<SearchRecordDis> {
    SearchRecordDis getByCondition(Long wechatUserId, String wxId, String content);

    void updateUserDeleteByWxId(String wxId, Boolean userDelete);

    void updateUserDeleteByWechatUserId(Long wechatUserId, Boolean userDelete);
}
